namespace Models.Game;

public class Map
{
    public List<Cell> Boards { get; private set; };

    public string Background { get; private set; }

    public List<OperationCell> OperationGrid { get; private set; }

    public List<List<Cell>> RopePaths { get; private set; }

    public List<List<Cell>> Zones { get; private set; }

    public Map(string background)
    {
        Boards = new List<Cell>();
        Background = background;
        OperationGrid = new List<OperationCell>();
        RopePaths = new List<List<Cell>>();
        Zones = new List<List<Cell>>();
    }
}